## sword 1.6.0a-0maemo4

=== bindings/corba/java/Makefile ===
TOMCAT_HOME=/opt/tomcat
#SERVLET_LIB=${TOMCAT_HOME}/common/lib/servlet-api.jar
SERVLET_LIB=${TOMCAT_HOME}/lib/servlet-api.jar
instdir=${TOMCAT_HOME}/webapps/swordweb
#instdir=/home/swordweb/livehtml/webapp
#instdir=/home/scribe/src/swordweb/webapp
all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class

src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
	idlj -pkgTranslate swordorb org.crosswire.sword.orb -td src ../swordorb.idl

classes/org/crosswire/sword/orb/SwordOrb.class: src/org/crosswire/sword/orb/SwordOrb.java
	javac -classpath ${SERVLET_LIB} -d classes -sourcepath src src/org/crosswire/sword/orb/*.java src/org/crosswire/util/*.java


clean:
	rm -f src/org/crosswire/sword/orb/SW*.java
	rm -f src/org/crosswire/sword/orb/_SW*.java
	rm -f src/org/crosswire/sword/orb/Mod*.java
	rm -f src/org/crosswire/sword/orb/Search*.java
	rm -f src/org/crosswire/sword/orb/String*.java
	rm -rf classes/*

install:
	cp -a classes/org/ ${instdir}/WEB-INF/classes/

=== debian/changelog ===
sword (1.6.0a-0maemo4) unstable; urgency=low

  * Actually added the /usr/share/sword

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 22 Nov 2009 12:08:19 -0500

=== debian/control ===
Source: sword
Priority: optional
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), libcurl3, libcurl3-dev, libicu42, libicu42-dev, clucene-core, clucene-core-dev, zlib1g-dev, zlib1g, python2.5, python2.5-dev, swig1.3 (>= 1.3.40), maemo-optify
Standards-Version: 3.7.3
Section: libs

Package: sword16-tools
Section: libdevel
Architecture: any
Depends: sword16 (= ${Source-Version})
Description: Sword tools for Bible programs (dev)
 Bible Sword Tools

Package: sword16-dev
Section: libdevel
Architecture: any
Depends: sword16 (= ${Source-Version})
Description: Sword library for Bible programs (dev)
 Bible Sword Library

Package: sword16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clucene-core, libicu42
Description: Sword library for Bible programs
 Bible Sword Library
 
Package: python-sword16
Section: libs
Architecture: any
Depends: sword16 (= ${Source-Version})
Description: Python Bindings for Sword 1.6.0
 Python Bindings for Sword

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export CFLAGS=-Wall -g -I/usr/lib -I/usr/include
export CXXFLAGS=-I/usr/lib -I/usr/include
CFLAGS = -Wall -g -I/usr/lib -I/usr/include


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=1.6.0
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --libdir=/usr/lib --without-conf --enable-shared --disable-debug --with-icu --with-clucene --with-curl --disable-tests --with-python=/usr/bin/python2.5
	touch configure-stamp

configure-python:
	export SWIG_LIB=/usr/share/swig/1.3
	#export SWIG_FEATURES=-I/usr/include/sword

	export SBOX_REDIRECT_IGNORE=/usr/bin/swig:/scratchbox/devkits/svn/bin/swig:/bin/swig:/usr/bin

	export SWIG=/opt/maemo/usr/bin
	export CFLAGS="$(CFLAGS)"
	cd $(CURDIR)/bindings/swig/package && $(CURDIR)/bindings/swig/package/autogen.sh
	cd $(CURDIR)/bindings/swig/package && $(CURDIR)/bindings/swig/package/configure  --with-python=/usr/bin/python2.5  --with-swigbin=/opt/maemo/usr/bin --with-sword-dir=$(CURDIR)/debian/tmp/usr


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

build-python: configure-python
	cd $(CURDIR)/bindings/swig/package && make --directory=$(CURDIR)/bindings/swig/package pythonswig
	cd $(CURDIR)/bindings/swig/package && make --directory=$(CURDIR)/bindings/swig/package python_make


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

install-python: build-python
	cd $(CURDIR)/bindings/swig/package
	dh_testdir
	dh_testroot
	dh_installdirs
	cd $(CURDIR)/bindings/swig/package/python && python2.5 setup.py install --root $(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install build-python install-python
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install build-python install-python
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sword 1.6.1+dfsg

=== examples/classes/Makefile ===
TARGETS= ciphercng swmgrex
all: $(TARGETS)

clean:
	rm $(TARGETS)

.cpp:
	g++ -O3 `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword`

=== bindings/corba/java/Makefile ===
--- 
+++ 
@@ -1,9 +1,17 @@
+#CHANGE THESE TO MATCH YOUR SYSTEM
 TOMCAT_HOME=/opt/tomcat
-#SERVLET_LIB=${TOMCAT_HOME}/common/lib/servlet-api.jar
-SERVLET_LIB=${TOMCAT_HOME}/lib/servlet-api.jar
 instdir=${TOMCAT_HOME}/webapps/swordweb
+
+# Typically you'll point this to your home directory, e.g.
 #instdir=/home/swordweb/livehtml/webapp
 #instdir=/home/scribe/src/swordweb/webapp
+
+SERVLET_LIB=${TOMCAT_HOME}/lib/servlet-api.jar
+
+# Older tomcat uses this path
+#SERVLET_LIB=${TOMCAT_HOME}/common/lib/servlet-api.jar
+
+
 all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class
 
 src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl

## sword 1.6.2%2Bdfsg

=== tests/testsuite/CMakeLists.txt ===
#############################################################################
# This file will actually be responsible for running the tests
# 

ADD_CUSTOM_TARGET(
	tests_configure
	COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/*.sh ${CMAKE_CURRENT_BINARY_DIR}
	COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/*.good ${CMAKE_CURRENT_BINARY_DIR}
	COMMAND echo \"[Install]\\nLocalePath=${CMAKE_CURRENT_SOURCE_DIR}/../../\" > ${CMAKE_CURRENT_BINARY_DIR}/sword.conf
	DEPENDS ${test_PROGRAMS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_CUSTOM_TARGET(
	tests
	COMMAND ./runall.sh
	WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_DEPENDENCIES(
	tests
	tests_configure
)

MESSAGE(STATUS "Testing configured.")

## sword 1.6.2+dfsg

=== CMakeLists.txt ===
# TODO: write FindICU (icu-config only for 2.2 and up) -- currently taken from another CMake system
#       limit pkg-config version to >= 0.14, demo, utilities, doc, tests
#
# NOTES: Defaults to build type of Shared
#        Forces out-of-source tree build
#        
#
# This file started on 18 January 2010 by Gregory Hellings
# It is ceded to The SWORD Library developers and CrossWire under the terms
# of their own GPLv2 license and all copyright is transferred to them for
# all posterity and eternity, wherever such transfer is possible.  Where it is
# not, then this file is released under the GPLv2 by myself.
#
#
# A CMake port of the SWORD build system... we hope
PROJECT(libsword CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
SET(SWORD_VERSION 1.6.2)

# Make sure it's an out-of-stream build
IF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
	MESSAGE(FATAL_ERROR "Please invoke CMake from a different directory than the source.")
ENDIF(${CMAKE_CURRENT_BINARY_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

MESSAGE(STATUS "Configuring your system to build libsword.")

###########################################################################################
# Here are some basic CMake variables we need to setup in order for things to work properly
#
# Our include directory, for our own internally created "FIND_PACKAGE" calls, like CLucene
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
# Source variables
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/sources.cmake")
# Our local includes
INCLUDE_DIRECTORIES("${CMAKE_CURRENT_SOURCE_DIR}/include")

###########################################################################################
# This will look for various libraries that libsword builds against.  There is no REQUIRED
# attribute added here, since all of the libraries here are not, in actuality, required.
#
# Find our packages
FIND_PACKAGE(ZLIB QUIET)
FIND_PACKAGE(ICU QUIET)
FIND_PACKAGE(CURL QUIET)
FIND_PACKAGE(CLucene QUIET)
FIND_PACKAGE(PkgConfig QUIET)
FIND_PACKAGE(Regex QUIET)

###########################################################################################
# Based on user input and the results of the above tests, we may need to mux with the source
# files to use an internal version of ZLib, cURL-like stuff, or CLucene replacements.  These
# lines below will modify the source files directories so that the required files are only
# included if the option is needed.
#
# Modify the source variables and set necessary definitions, this is a rather long segment,
# so I have sorted it out into its own file
INCLUDE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/muxsources.cmake)

################################################################################################
# This actually creates the build target that is the libsword building target to be generated.
# Most of the work for configuration is done above, already.
#
# I want to do this manually, there might be reason in the future
IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword SHARED ${sword_SOURCES})
	MESSAGE(STATUS "Building Shared library.")
	SET(BUILDING_SHARED 1)
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*" OR NOT LIBSWORD_LIBRARY_TYPE)

IF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)
	ADD_LIBRARY(sword_static STATIC ${sword_SOURCES})
	SET(BUILDING_STATIC 1)
	# With MSVC, the .dll files also create .lib files of the same name
	# with the exported symbols.  Thus, we don't want the two to have the
	# same exact name.  In other systems, the .a and .so suffixes suffice
	# to keep them separate
	IF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		SET_TARGET_PROPERTIES(sword_static PROPERTIES 
			OUTPUT_NAME "sword")
		MESSAGE(STATUS "Building Static library with name sword")
	ELSE(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
		MESSAGE(STATUS "Building Static library with name
		sword_static")
	ENDIF(NOT MSVC OR NOT LIBSWORD_LIBRARY_TYPE MATCHES ".*Shared.*")
ENDIF(LIBSWORD_LIBRARY_TYPE MATCHES ".*Static.*" OR NOT LIBSWORD_LIBRARY_TYPE)

################################################################################################
# Some random user settings
#

IF(SWORD_ENABLE_PROFILE STREQUAL "Yes")
	SET_TARGET_PROPERTIES(sword
		PROPERTIES COMPILE_FLAGS "-pg"
	)
ENDIF(SWORD_ENABLE_PROFILE STREQUAL "Yes")

IF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")
	SET_TARGET_PROPERTIES(sword
		PROPERTIES COMPILE_FLAGS "-g -finstrument-functions"
	)
	TARGET_LINK_LIBRARIES(libsword fnccheck)
ENDIF(SWORD_ENABLE_PROFILEFN STREQUAL "Yes")

IF(NOT SWORD_GLOBAL_CONF_DIR STREQUAL "")
	ADD_DEFINITIONS(-DGLOBCONFPATH="${SWORD_GLOBAL_CONF_DIR}/sword.conf")
ENDIF(NOT SWORD_GLOBAL_CONF_DIR STREQUAL "")


###############################################################################################
# This allows the user to set a SONAME for the library.  This allows packagers and those who
# care about that sort of thing to be happy and have all their SONAMES set properly.
#
IF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${SWORD_VERSION})
ELSE(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)
        SET(SWORD_SOVERSION ${LIBSWORD_SOVERSION})
ENDIF(NOT LIBSWORD_SOVERSION AND BUILDING_SHARED)

IF(BUILDING_SHARED)
	SET_TARGET_PROPERTIES(sword
		PROPERTIES SOVERSION ${SWORD_SOVERSION})
	MESSAGE(STATUS "Setting SOVERSION to ${SWORD_SOVERSION}")
ENDIF(BUILDING_SHARED)

###############################################################################################
# Some options are only needed if we're going to be building a debug option into the library
# These are generally only for developer building and testing
#
# Debug testing
IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
	SET(SWORD_CFLAGS "-g3 -Wall -Werror -O0")
ELSE(CMAKE_BUILD_TYPE STREQUAL "Debug")
	SET(SWORD_CFLAGS "-O3")
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

IF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")
	SET(SWORD_CFLAGS "${SWORD_CFLAGS} -Werror")
ENDIF(SWORD_ENABLE_WARNINGS STREQUAL "Yes")

IF(BUILDING_SHARED)
	SET_TARGET_PROPERTIES(sword
		PROPERTIES COMPILE_FLAGS ${SWORD_CFLAGS}
	)
ENDIF(BUILDING_SHARED)

IF(BUILDING_STATIC)
	SET_TARGET_PROPERTIES(sword_static
		PROPERTIES COMPILE_FLAGS ${SWORD_CFLAGS}
	)
ENDIF(BUILDING_STATIC)

MESSAGE(STATUS "Setting CFlags for compile to ${SWORD_CFLAGS}")

##############################################################################################
# Setting libraries and includes
#

IF(WITH_ZLIB)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ZLIB_LIBRARY})
ENDIF(WITH_ZLIB)
IF(WITH_CURL)
	INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CURL_LIBRARY})
ENDIF(WITH_CURL)
IF(WITH_CLUCENE)
	INCLUDE_DIRECTORIES(${CLUCENE_INCLUDE_DIR})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${CLUCENE_LIBRARY})
	LINK_DIRECTORIES(${CLUCENE_LIBRARY_DIR})
ENDIF(WITH_CLUCENE)
IF(WITH_ICU)
	INCLUDE_DIRECTORIES(${ICU_INCLUDE_DIRS})
	SET(SWORD_LINK_LIBRARIES ${SWORD_LINK_LIBRARIES} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDIF(WITH_ICU)

IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(sword ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_SHARED)

IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(sword_static ${SWORD_LINK_LIBRARIES})
ENDIF(BUILDING_STATIC)

MESSAGE(STATUS "Setting link libraries to ${SWORD_LINK_LIBRARIES}")

##############################################################################################
#########
### TODO: Not sure about these...
#########
##############################################################################################
ADD_DEFINITIONS(-D_FTPLIB_NO_COMPAT)

#############################################################################################
# Platform-specifc bits that I will eventually refactor out into their own files, once I am happy
# with the stuff that is here.
# 
IF(APPLE OR iPhone)
	ADD_DEFINITIONS(-Dunix)
ENDIF(APPLE OR iPhone)

##############################################################################################
# Our build test
#

ADD_EXECUTABLE(buildtest buildtest.cpp)
IF(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword_static)
ELSE(BUILDING_STATIC)
	TARGET_LINK_LIBRARIES(buildtest sword)
ENDIF(BUILDING_STATIC)

##############################################################################################
# Installing the library, headers, utilies, etc
# 

INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/install.cmake")

##############################################################################################
# Bindings are good, right?
#

IF(NOT SWORD_BINDINGS STREQUAL "")
	INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/bindings.cmake")
ENDIF(NOT SWORD_BINDINGS STREQUAL "")

##############################################################################################
# Utilities are hawt
# 

IF(NOT SWORD_BUILD_UTILS STREQUAL "No")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/utilities")
ENDIF(NOT SWORD_BUILD_UTILS STREQUAL "No")

##############################################################################################
# Demos are also hawt
# 

IF(SWORD_BUILD_EXAMPLES STREQUAL "Yes")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/examples/cmdline")
ENDIF(SWORD_BUILD_EXAMPLES STREQUAL "Yes")

##############################################################################################
# Tests, however, are not

IF(SWORD_BUILD_TESTS STREQUAL "Yes")
	ADD_SUBDIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/tests")
ENDIF(SWORD_BUILD_TESTS STREQUAL "Yes")

=== bindings/Makefile ===

root := ..
targets := ${root}/lib/libsword.a
clean-targets := none
include ${root}/Makefile.cfg

cpp += flatapi.cpp

include ${root}/Makefile.post

=== obj/Makefile ===

root := ..
subdirs :=
pre-targets := 
targets := 
include ${root}/Makefile.cfg

include ${root}/Makefile.post

=== tests/CMakeLists.txt ===
#########################################################################################
# A test suite - that is awesome.
#
# I should probably learn the proper usage of such things as CTest for this, but for the
# time being, I'll see what I can do.
# 
#
# I need some help deciphering tests/cppunit/Makefile.am.  I'm not quite sure what it is
# trying to do in there.
# Also, the contents of the tests/testsuite directory are slightly beyond my knowledge
# level.  It looks like I can do a very simple interface to this all, but I need to know
# more about how these tests work.
# 

SET(test_PROGRAMS
	casttest
	ciphertest
	complzss
	compnone
	configtest
	filtertest
	introtest
	indextest
	keycast
	keytest
	lextest
	listtest
	localetest
	mgrtest
	modtest
	parsekey
	rawldidxtest
	romantest
	striptest
	swaptest
	swbuftest
	testblocks
	utf8norm
	versekeytest
	vtreekeytest
	versemgrtest
	webiftest
	xmltest
)

IF(WITH_ICU)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		icutest
#		tlitmgrtest
		translittest
	)
ENDIF(WITH_ICU)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(test_PROGRAMS
		${test_PROGRAMS}
		compzip
	)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

FOREACH(TEST ${test_PROGRAMS})
	ADD_EXECUTABLE(${TEST} EXCLUDE_FROM_ALL	${TEST}.cpp)
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST}	sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES(${TEST} sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(TEST ${test_PROGRAMS})

########################################################################################
# The following tests require extra libraries to run
# 
FOREACH(ICUTEST icutest translittest)
	TARGET_LINK_LIBRARIES(${ICUTEST} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})
ENDFOREACH(ICUTEST icutest translittest)

# Excluded until I know we have the tests working
ADD_SUBDIRECTORY(testsuite)

=== utilities/CMakeLists.txt ===
######################################################################
# Basic utility programs and their joy.
#
# The general assumption is that each of these utilities is built from
# a single source file, which shares its name with the utility itself (appended with .cpp),
# and then linked against the SWORD library.
# 
# This list will be built and installed, if so chosen
#
# These are in alphbetical order now - please keep them that way
# if you edit this list in the future.
# 
SET(install_UTILITIES
	addld
	imp2gbs
	imp2ld
	imp2vs
	installmgr
	mkfastmod
	mod2imp
	mod2osis
	mod2vpl
	tei2mod
	vpl2mod
	vs2osisref
	vs2osisreftxt
	xml2gbs
	osis2mod
)

IF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)
	SET(install_UTILITIES ${install_UTILITIES} mod2zmod)
ENDIF(WITH_ZLIB OR WITH_INTERNAL_ZLIB)

######################################################################
# These utilities will be built, but they will not be installed
# 
# Again, I have gone to great lengths of travail to make this list
# alphabetical.  If you add utilities to this list, please do so in a
# way that maintains this.
SET(noinstall_UTILITIES
	addgb
	addvs
	cipherraw
	emptyvss
	gbfidx
	genbookutil
	modwrite
	step2vpl
	stepdump
	treeidxutil
)

#####################################################################
# This will loop over both of the above utility lists and add build targets
# to the system for each one of them.
# 

FOREACH(UTIL ${install_UTILITIES} ${noinstall_UTILITIES})
	ADD_EXECUTABLE("${UTIL}"	"${UTIL}.cpp")
	IF(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword)
	ELSE(BUILDING_SHARED)
		TARGET_LINK_LIBRARIES("${UTIL}" sword_static)
	ENDIF(BUILDING_SHARED)
ENDFOREACH(UTIL ${install_UTILITIES})

####################################################################
# Just to be difficult, we have a single C file that is a utility
# and, therefore, needs its own treatment.
# 

ADD_EXECUTABLE(lexdump	lexdump.c)
IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword)
ELSE(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(lexdump sword_static)
ENDIF(BUILDING_SHARED)

####################################################################
# Install the utilities
#
# We do this here, rather than up in the main install file, because
# a) it fits more logically and b) the scope of ${install_UTILITIES}
# is limited to CMake files in this directory and below, so rather than
# replicate the above list in another place, we'll just handle our
# own install, since this whole directory is optional, anyway.
# 
FOREACH(UTIL ${install_UTILITIES})
	INSTALL(TARGETS ${UTIL}
		DESTINATION ${SWORD_INSTALL_DIR}/bin
		COMPONENT utilities
	)
ENDFOREACH(UTIL ${install_UTILITIES})

####################################################################
# And, of course, diatheke is a beast unto itself
#
# Let's go!
#
ADD_EXECUTABLE(diatheke
	diatheke/diatheke.cpp
	diatheke/corediatheke.cpp
	diatheke/diathekemgr.cpp
	diatheke/diafiltmgr.cpp
	diatheke/thmlcgi.cpp
	diatheke/gbfcgi.cpp
	diatheke/osiscgi.cpp
)
IF(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(diatheke sword)
ELSE(BUILDING_SHARED)
	TARGET_LINK_LIBRARIES(diatheke sword_static)
ENDIF(BUILDING_SHARED)
INSTALL(TARGETS diatheke
	DESTINATION ${SWORD_INSTALL_DIR}/bin
	COMPONENT utilities
)

=== bindings/java-jni/Makefile ===
all:
	mkdir -p classes
	javac -d classes src/org/crosswire/android/sword/*.java
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWMgr
	javah -d jni -classpath classes -jni org.crosswire.android.sword.SWModule
	javah -d jni -classpath classes -jni org.crosswire.android.sword.InstallMgr
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr > SWMgr.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWMgr.ModInfo > ModInfo.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule > SWModule.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchHit > SearchHit.txt
	javap -s -classpath classes/ org.crosswire.android.sword.SWModule.SearchProgressReporter > SearchProgressReporter.txt
	javap -s -classpath classes/ org.crosswire.android.sword.InstallMgr > InstallMgr.txt
	cp src/org/crosswire/android/sword/*.java /home/scribe/src/bishop/src/org/crosswire/android/sword/

=== examples/classes/Makefile ===
TARGETS= ciphercng swmgrex
all: $(TARGETS)

clean:
	rm $(TARGETS)

.cpp:
	g++ -O0 -g `pkg-config --cflags sword` $< -o $@ `pkg-config --libs sword`

=== examples/cmdline/CMakeLists.txt ===
##################################################################################
# These are some examples.  If you want examples to be built, you need to define
# SWORD_BUILD_EXAMPLES="Yes".  These will not be installed, so don't worry about
# that.
# 
SET(example_PROGRAMS
	listoptions
	lookup
	outplain
	outrender
	search
	verserangeparse
)

FOREACH(DEMO ${example_PROGRAMS})
	ADD_EXECUTABLE("${DEMO}"	"${DEMO}.cpp")
	TARGET_LINK_LIBRARIES("${DEMO}" sword)
ENDFOREACH(DEMO ${example_PROGRAMS})

##################################################################################
# This example uses pthreads explicity.  I don't know if it supports anything else,
# but until I find out, I will force it to find PTHREADS only
# 

FIND_PACKAGE(Threads)

IF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)
	ADD_EXECUTABLE(threaded_search	threaded_search.cpp)
	TARGET_LINK_LIBRARIES(threaded_search
		sword
		${CMAKE_THREAD_LIBS_INIT}
	)
ENDIF(CMAKE_USE_PTHREADS_INIT OR CMAKE_HP_PTHREADS_INIT)

=== src/modules/Makefile ===

root := ../..

all:
	make -C ${root}

=== bindings/corba/omniorbcpp/Makefile ===
all: server testclient

PREFIX = $(shell grep ^prefix ../../../Makefile|cut -f3 -d' ')

#sword stuff
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags sword)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs sword)

#orbit stuff
CFLAGS += $(shell orbit2-config --cflags)
CFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
CXXFLAGS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --cflags omniORB4)
LIBS += $(shell PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig pkg-config --libs omniORB4)

LIBS += -L/usr/lib64 

#comment out for release
CXXFLAGS += -g -O0
CFLAGS += -g -O0
LDFLAGS += -g -O0
#-----------------------------------------------------------------------------


server: server.cpp swordorb-impl.o swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o server server.cpp swordorb-impl.o swordorb-stubs.o $(LIBS)

testclient: testclient.cpp swordorb-impl.cpp swordorb-stubs.o 
	$(CXX) $(CXXFLAGS) -I. -o testclient testclient.cpp swordorb-stubs.o $(LIBS)

swordorb-impl.o: swordorb.h swordorb-impl.cpp 
	$(CXX) $(CXXFLAGS) -I. -c swordorb-impl.cpp


swordorb.h: ./../swordorb.idl
	omniidl -bcxx -Wbh=.h -Wbs=-stubs.cpp ./../swordorb.idl

swordorb-stubs.o: swordorb-stubs.cpp
	$(CC) $(CFLAGS) -I. -c swordorb-stubs.cpp

clean:
	rm -f *.h *-stubs.cpp *.cc *.o *.c server testclient

install:
	mkdir -p $(PREFIX)/bin
	cp -f server $(PREFIX)/bin/swordorbserver

=== bindings/objc/build_clucene/Makefile ===
.PHONY: default release-ppc release-intel release-fat debug-ppc debug-intel debug-fat clean

default: release-fat

release-ppc:
	./build_mac_clucene.sh release ppc

release-intel:
	./build_mac_clucene.sh release intel

release-fat:
	./build_mac_clucene.sh release fat 

debug-ppc:
	./build_mac_clucene.sh debug ppc

debug-intel:
	./build_mac_clucene.sh debug intel

debug-fat:
	./build_mac_clucene.sh debug fat 

clean:
	rm -rf build

=== bindings/objc/build_sword/Makefile ===
.PHONY: default release-ppc release-intel release-fat debug-ppc debug-intel debug-fat clean

default: release-fat

release-ppc:
	./build_mac_sword.sh release ppc

release-intel:
	./build_mac_sword.sh release intel

release-fat:
	./build_mac_sword.sh release fat 

debug-ppc:
	./build_mac_sword.sh debug ppc

debug-intel:
	./build_mac_sword.sh debug intel

debug-fat:
	./build_mac_sword.sh debug fat 

clean:
	rm -rf build

=== debian/changelog ===
sword (1.6.2+dfsg-6build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 05:16:11 +0000

sword (1.6.2+dfsg-6) unstable; urgency=low

  [ Rene Engelhard ]
  * fix FTBFS: remove include/zconf.h and don't rely on it (closes: #707537)
  
  [ Dmitrijs Ledkovs ]
  * Add patch to build against clucene-core 2.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 04 Aug 2013 19:20:31 +0100

sword (1.6.2+dfsg-5ubuntu1) raring; urgency=low

  * Build against clucene-core 2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 01:45:59 +0000

sword (1.6.2+dfsg-5) unstable; urgency=low

  * Fix FTBFS due to icu changes (Closes: #676097).

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 07 Jun 2012 07:49:56 +0100

sword (1.6.2+dfsg-4) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build failure in installed header file with GCC 4.7.
    Addresses: #667387.

  [ Dmitrijs Ledkovs ]
  * Remove python-sword swig bindings. Loads of build-time warnings (4.6)
    and errors (4.7) and the resulting module was reported not to
    work. Should be readded if/when it can be build with gcc 4.7 without
    errors. (Closes: #667387)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 17 Apr 2012 21:39:11 +0100

sword (1.6.2+dfsg-3) unstable; urgency=low

  * Fix FTBFS if running binary-arch target only.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Mon, 09 Apr 2012 14:58:48 +0100

sword (1.6.2+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs <xnox@debian.org> ]
  * Fix linking against CLucene
  * Backport CMake changes
  * Set sword config path to /etc
  * ABI was broken in 1.6.2, bump soname to libsword9 (Closes: 663096)
  * Split libswordX into libswordX, -utils & -common, to make libswordX
    non-conflicting with libswordX+1

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sat, 07 Apr 2012 14:22:48 +0100

sword (1.6.2+dfsg-1) unstable; urgency=low
  
  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Revamped debian/rules to use dh tiny rules style
  * Raised compat to debhelper 7 and change associated packaging files
  * Use CMake to build sword
  * debian/patches/02_libver.diff: dropped, using CMake variable
  * Add debian/source/local-options with VCS friendly options
  * Add .bzr-builddeb/default.conf to facilitate building from bzr
  * Use dpkg-buildflags
  * Make CMake honour environmental variables
  * Create python-sword package (LP: #49959) (Closes: 640357)
  * document vs2osisreftxt.1
  * 3.0 (quilt) format only (launchpad ppa supports it now)
  * fix gcc-4.6 warnings
  * Additional compiler error fix, thanks to
    "brian m. carlson" <sandals@crustytoothpaste.net> (Closes: 624962)
  * Updated debian/copyright to match the updated dep-5 spec

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Nov 2010 23:06:43 +0000

sword (1.6.1+dfsg-2) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Fixed lintian warning about watch file.
  * debian/patches/13_curl - Upstream fix for curl 7.20 compatibility.
  * bumped standards version to 3.8.4 - no changes required.
  * Update email address.
  * Added upstream changelog.
  * debian/copyright:
    - Removed reference to unversioned GPL license
    - Two files do not explictly specify GPL version
    - Based on clause 9 GPL-2 & clause 14 GPL-3, GPL-2 is selected such
    that to be compatible with the rest of sword

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 22 Mar 2010 19:14:19 +0000

sword (1.6.1+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * debian/libsword8.examples: Add missing tcl eggdrop bot script.

  [ Dmitrijs Ledkovs ]
  * Drop shipping .la file in favour of pkg-config (Debian release goal)
    - More info http://lists.debian.org/debian-devel/2009/08/msg00783.html
  * Drop backported patches, refreshed libver & compiler warnings.
  * Compiling with -Werror enabled. 
  * Bumped standards version to 3.8.3, no changes needed.
  * Added debian/README.source documentation quilt usage
  * Added configure option --without-internalregex

 -- Dmitrijs Ledkovs <dmitrij.ledkov@gmail.com>  Thu, 21 Jan 2010 00:10:17 +0000

sword (1.6.0+dfsg-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream release. (Closes: #507960) (LP: #320558)
  * debian/patches/02_libver.diff:
    - Bump SONAME to 8 -- SWORD 1.6 is not backward compatible with 1.5.11.
  * debian/patches/series:
    - Remove 10_diatheke.diff -- included in upstream source.
  * debian/patches/:
    - Remove several old unused .diff files.
    - Add 11_regex_only_when_needed.diff to conditionally include regex lib.
    - Add 12_fix_compiler_warnings.diff to remove all compiler warnings.
    - Add 13_fix_osis2mod_compression_default.diff from upstream svn.
    - Add 14_closing_section_not_chapter.diff from upstream svn.
  * debian/libsword7.*: 
    - Rename to libsword8.*
    - Change libsword7 to libsword8 within files.
  * debian/rules: 
    - SONAME bump to 8.
    - Set library version check to >= 1.6
  * debian/control:
    - Change libsword7 to libsword8.
    - Add libsword7 to Conflicts.
    - Fix case of sword to SWORD in package descriptions.
    - Bump Standards-Version to 3.8.1 (no changes needed).
    - Fix section for libsword-dbg to avoid lintian warning.
  * debian/rules:
    - Add DFSG get-orig-source target.
  * debian/copyright:
    - Fix various mistakes in initial attempt to document copyrights.
  
  [ Dmitrijs Ledkovs ]
  * debian/rules: Added utils.mk to use missing-files target and call it on
    each build.
  * debian/libsword-dev.install: Added libsword.la, previously missing.
  * debian/libsword7.install: Added missing libicu translit files.
  * debian/control:
    - Updated all uses of SWORD version to 1.6
    - Added libsword-dbg package
  * debian/watch: Fixed a small mistake which was resulting in extra "."
    in final version name.
  * debian/rules: simplified manpage processing.
  * debian/libsword8.lintian-overrides: added override for module


=== debian/control ===
Source: sword
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               libz-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libclucene-dev,
               libicu-dev,
               chrpath,
	       perl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Dmitrijs Ledkovs <xnox@debian.org>,
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.3
Homepage: http://www.crosswire.org/sword/

Package: libsword9
Architecture: any
Depends: libsword-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: sword-frontend
Description: API/library for bible software
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the core libraries for the project.
 It also contains utilities for generating data modules.
 .
 Please read the README.Debian for more information on how to obtain other
 modules for SWORD.

Package: libsword-dev
Architecture: any
Section: libdevel
Depends: libsword9 (= ${binary:Version}), ${misc:Depends}
Recommends: libsword-utils
Description: Development files for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the static libraries and headers for developing 
 applications that use the SWORD library.

Package: libsword-common
Architecture: all
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: common settings and module repository for libsword
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains sword configuration and global module repository.

Package: libsword-utils
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsword6, libsword7, libsword8
Replaces: libsword6, libsword7, libsword8
Description: conversion utilities for bible documents in SWORD supported formats
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains utilities to convert documents in various
 formats into those suitable to be used with SWORD library.

Package: libsword-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsword9 (= ${binary:Version}), ${misc:Depends}
Description: API/library for bible software - Debug Files
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains the debug symbols for the libsword library.

Package: diatheke
Architecture: any
Section: text
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line bible browsing and search tool
 The SWORD Project is an open source, cross-platform (Linux, Windows, Solaris,
 MacOSX etc.) API/library for Bible software with a constantly growing list 
 of front-ends (GUI, textmode, web-based, etc.) and a library of over 200 
 text modules.
 .
 This package contains a command line utility for SWORD, allowing
 bible browsing and searching. This tool is used mostly only for
 library testing. Nicer front-ends are Xiphos (Gtk), Bibletime (Qt)
 and others.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE := 1
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
ver:=$(shell dpkg-parsechangelog | sed -nr "2s/Version: (.*)-.*/\1/p")
bd :=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

WFLAGS   := -Wall -Werror
CFLAGS    = $(shell dpkg-buildflags --get CFLAGS) $(WFLAGS)
CXXFLAGS  = $(shell dpkg-buildflags --get CXXFLAGS) $(WFLAGS)

%:
	dh $@
override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
	-DLIBSWORD_LIBRARY_TYPE="Shared Static" \
	-DLIBSWORD_SOVERSION=9 \
	-DSWORD_GLOBAL_CONF_DIR='/etc' \
	-DCMAKE_BUILD_TYPE=NONE \
	-DSWORD_BUILD_TESTS="Yes" \
	-DCLucene_FIND_REQUIRED="Yes"
debian/man/%.1: debian/man/%.1.pod
	pod2man --release="SWORD $(ver)" --center "Sword Module Utilities" $< > $@
override_dh_auto_build: $(basename $(wildcard debian/man/*.pod))
	dh_auto_build -Scmake --parallel
override_dh_auto_test:
	$(shell cd tests/testsuite && ./runall.sh 1>&2)
override_dh_auto_install:
	dh_auto_install -Scmake
override_dh_install:
	chrpath -d debian/tmp/usr/bin/* debian/tmp/usr/lib/*so*
	dh_install --list-missing
	# Fixes FTBFS if running binary-arch target only
	-chmod -x debian/libsword-common/usr/share/sword/locales.d/*
override_dh_strip:
	dh_strip --dbg-package=libsword-dbg
override_dh_makeshlibs:
	dh_makeshlibs -V
override_dh_clean:
	dh_clean $(patsubst %.pod, %, $(wildcard debian/man/*.pod))

MAKEFILE = $(firstword $(MAKEFILE_LIST))
SOURCE_DIR = $(dir $(MAKEFILE))/..
get-orig-source:
	chmod +x $(SOURCE_DIR)/debian/dfsg.sh
	cd $(SOURCE_DIR) && uscan --force-download --rename --destdir .

override_dh_builddeb:
	dh_builddeb $(if $(ppa),-- -Zlzma)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
  http://www.crosswire.org/ftpmirror/pub/sword/source/v([\d\.]+)/sword-(.*)\.tar\.gz \
debian ./debian/dfsg.sh
